--------------------------------------------------------------------
Library IEEE;
USE IEEE.std_logic_1164.all;

-------------------------------------------------------------------- 

entity Operating_Mode_Sel is
	port(
			Select_A_nB	: in std_logic;
			DAC_A		: in std_logic_vector(13 downto 0);
			DAC_B		: in std_logic_vector(13 downto 0);
			MDAC1_A		: in std_logic_vector(15 downto 0);
			MDAC1_B		: in std_logic_vector(15 downto 0);
			MDAC2_A		: in std_logic_vector(15 downto 0);
			MDAC2_B		: in std_logic_vector(15 downto 0);
			
			DAC	   	: out std_logic_vector(13 downto 0);
			MDAC1	: out std_logic_vector(15 downto 0);
			MDAC2	: out std_logic_vector(15 downto 0)
		);
end Operating_Mode_Sel;
	
architecture main of Operating_Mode_Sel is
	
	
--===================================================================
-- 			B	E	G	I	N	
--===================================================================
begin 
		
process(Select_A_nB, DAC_A, DAC_B, MDAC1_A, MDAC1_B, MDAC2_A, MDAC2_B)
begin
	case Select_A_nB is
		when '1' =>
			DAC	 	<= DAC_A;
            MDAC1	<= MDAC1_A;
            MDAC2	<= MDAC2_A;
                      
		when '0' =>
			DAC	 	<= DAC_B;
            MDAC1	<= MDAC1_B;
            MDAC2	<= MDAC2_B;
            
        when others =>
			DAC	 	<= DAC_A;
            MDAC1	<= MDAC1_A;
            MDAC2	<= MDAC2_A;

	end case;
end process;       
end main;

